# Type alias AsObject

AsObject: {
arbitratorNodeAddress: string;
buyerNodeAddress: string;
isBuyerMakerAndSellerTaker: boolean;
lockTime: number;
makerAccountId: string;
makerPaymentAccountPayload?: PaymentAccountPayload.AsObject;
makerPayoutAddressString: string;
sellerNodeAddress: string;
takerAccountId: string;
takerPaymentAccountPayload?: PaymentAccountPayload.AsObject;
takerPayoutAddressString: string;
}

#### Type declaration

- ##### arbitratorNodeAddress: string

- ##### buyerNodeAddress: string

- ##### isBuyerMakerAndSellerTaker: boolean

- ##### lockTime: number

- ##### makerAccountId: string

- ##### `Optional` makerPaymentAccountPayload?: PaymentAccountPayload.AsObject

- ##### makerPayoutAddressString: string

- ##### sellerNodeAddress: string

- ##### takerAccountId: string

- ##### `Optional` takerPaymentAccountPayload?: PaymentAccountPayload.AsObject

- ##### takerPayoutAddressString: string

- Defined in src/protobuf/grpc_pb.d.ts:2945

Generated using TypeDoc